package ru.yandex.webmaster3.api.addurl;

import ru.yandex.webmaster3.api.http.common.request.locator.AbstractHostLocator;
import ru.yandex.webmaster3.core.data.WebmasterHostId;

import java.util.UUID;

/**
 * @author avhaliullin
 */
public class RecrawlQueueItemLocator extends AbstractHostLocator {
    private final UUID taskId;

    public RecrawlQueueItemLocator(long userId, WebmasterHostId hostId, UUID taskId) {
        super(userId, hostId);
        this.taskId = taskId;
    }

    public UUID getTaskId() {
        return taskId;
    }
}
